commit 081e5be0ba2c31e3cd8e0c69bdfbc9079debdc16
Author: freddy77 <freddy77>
Date:   Mon Mar 1 12:38:09 2010 +0000

    remove some exit calls (original patch from David Dick)

diff --git a/ChangeLog b/ChangeLog
index 29d0c45..1c2b201 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon Mar  1 13:37:28 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/login.c src/tds/net.c src/tds/token.c:
+	- remove some exit calls (original patch from David Dick)
+
 Fri Feb 12 11:15:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsthread.h src/dblib/bcp.c src/tds/sspi.c:
 	* src/tds/win_mutex.c:
@@ -2326,4 +2330,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2991 2010/02/12 10:16:16 freddy77 Exp $
+$Id: ChangeLog,v 1.2992 2010/03/01 12:38:09 freddy77 Exp $
diff --git a/src/tds/login.c b/src/tds/login.c
index 3cbcaf9..6fa7650 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.195 2010/02/07 21:56:10 jklowden Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.196 2010/03/01 12:38:10 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -573,7 +573,7 @@ tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 		memcpy(program_version, "\005\000\000\000", 4);
 	} else {
 		tdsdump_log(TDS_DBG_SEVERE, "Unknown protocol version!\n");
-		exit(1);
+		return TDS_FAIL;
 	}
 	/*
 	 * the following code is adapted from  Arno Pedusaar's 
diff --git a/src/tds/net.c b/src/tds/net.c
index f1f1b76..953f576 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -107,7 +107,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.101 2010/01/28 13:15:21 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.102 2010/03/01 12:38:10 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL) && !defined(C_INTERIX)
@@ -464,8 +464,7 @@ tds_select(TDSSOCKET * tds, unsigned tds_sel, int timeout_seconds)
 			default:
 				tdsdump_log(TDS_DBG_NETWORK, 
 					"tds_select: invalid interupt handler return code: %d\n", timeout_action);
-				exit(EXIT_FAILURE);
-				break;
+				return -1;
 			}
 		}
 		/* 
diff --git a/src/tds/token.c b/src/tds/token.c
index 22ad851..54a2b50 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.379 2010/01/22 10:43:48 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.380 2010/03/01 12:38:10 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -3280,10 +3280,10 @@ tds5_process_optioncmd(TDSSOCKET * tds)
 		arg = tds_get_int(tds);
 		break;
 	default:
-		tdsdump_log(TDS_DBG_INFO1, "oops: cannot process option of size %d\n", argsize);
-		assert(argsize <= 4);
-		exit(1);	 /* FIXME: stream would become desynchronized */
-		break;
+		tdsdump_log(TDS_DBG_INFO1, "oops: cannot process option %d of size %d\n", option, argsize);
+		/* ignore argument */
+		tds_get_n(tds, NULL, argsize);
+		return TDS_FAIL;
 	}
 	tdsdump_log(TDS_DBG_INFO1, "received option %d value %d\n", option, arg);
 

